#include <cstdio>
using namespace std;
bool check(int x)
{
    return (x%100==0)?(x%400==0):(x%4==0);
}
int main()
{
    int t,y,n;
    scanf("%d",&t);
    while(t--)
    {
        scanf("%d%d",&y,&n);
        while(n)
            if(check(y++))
                n--;
        printf("%d\n",y-1);
    }
    return 0;
}
